/* fork.c - Process Criation Example */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>

int main()
{
    pid_t pid; /* process id */

    pid = fork(); /* creates new child process */
    if(pid == -1) {  /* fork has failed */
	printf("Error: can't create child process!\n");
	return -1;  /* exits */
    } else if(pid == 0)  /* child */
	execl("child","child", (char *)0);
    else { /* parent */
	int status;
	printf("Parent: - I'm the parent process!\n");
	printf("Parent: - My pid is %d.\n", getpid());
	wait(&status);
    }
}
